List categories
curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/categories \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/categories"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/users/{user_guid}/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"categories": [
{
"created_at": "2015-04-13T18:01:23.000Z",
"guid": "CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874",
"is_default": true,
"is_income": false,
"metadata": "some metadata",
"name": "Auto Insurance",
"parent_guid": "CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874",
"updated_at": "2015-05-13T18:01:23.000Z"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}Categories
List categories
GET
/
users
/
{user_guid}
/
categories
List categories
Use this endpoint to list all categories associated with a
user, including both default and custom categories.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
Query Parameters
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Response
200 - application/vnd.mx.api.v1+json
OK
Hide child attributes
Hide child attributes
Category creation date-time.
Example:
"2015-04-13T18:01:23.000Z"
Example:
"CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874"
Example:
true
Example:
false
Example:
"some metadata"
Example:
"Auto Insurance"
Example:
"CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874"
Example:
"2015-05-13T18:01:23.000Z"
⌘I

